#version 100

precision lowp float;

attribute vec3 vertex;
attribute vec3 normal;
attribute vec2 texture;

varying vec2 vertex_texture;
varying vec3 vertex_normal;
//out vec2 vertex_texture;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;

void main(void) {
    //vertex_normal = normal;
    vertex_normal = mat3(model) * normal;
    vertex_texture = texture;
    gl_Position = projection * view * model * vec4(vertex, 1.0);
}
